Endpoint Examples

/sets

GET /sets

Returns a list of available predefined classification model sets

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/sets \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": [
    {
      "name": "posting",
      "latestVersion": "2026.7",
      "locales": [
        [
          "en-US",
          "en-CA",
          "es-ES",
          "fr-FR",
          "de-DE",
          "pt-PT",
          "it-IT",
          "nl-NL"
        ]
      ],
      "input": [
        [
          "inputLocale",
          "company",
          "title",
          "description"
        ]
      ],
      "output": [
        [
          "benefits",
          "lot",
          "cip",
          "contract",
          "experience",
          "employment",
          "internship",
          "remote",
          "salary",
          "skills",
          "titles"
        ]
      ]
    }
  ]
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}

GET /sets/{set}

Returns metadata for the latest version of a specific predefined model set.

Path Parameters

NameTypeDescription
setstringPredefined model set name.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/sets/set \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": {
    "name": "posting",
    "latestVersion": "2026.7",
    "locales": [
      [
        "en-US",
        "en-CA",
        "es-ES",
        "fr-FR",
        "de-DE",
        "pt-PT",
        "it-IT",
        "nl-NL"
      ]
    ],
    "input": [
      [
        "inputLocale",
        "company",
        "title",
        "description"
      ]
    ],
    "output": [
      [
        "benefits",
        "lot",
        "cip",
        "contract",
        "experience",
        "employment",
        "internship",
        "remote",
        "salary",
        "skills",
        "titles"
      ]
    ]
  }
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
//Example: ModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "model not found: unknown"
}

//Example: ModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "version not found: 0"
}

//Example: GraphModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': model not found: unknown"
}

//Example: GraphModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': version not found: 0"
}

//Example: SetNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: unknown"
}

//Example: SetVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: postings, version: 0"
}

//Example: NoRoute
{
  "title": "Not Found",
  "status": 404,
  "detail": "no matched route found"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}

GET /sets/{set}/versions

Returns versions for a selected predefined model set.

Path Parameters

NameTypeDescription
setstringPredefined model set name.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/sets/set/versions \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": [
    {
      "name": "posting",
      "version": "2026.7",
      "locales": [
        [
          "en-US",
          "en-CA",
          "es-ES",
          "fr-FR",
          "de-DE",
          "pt-PT",
          "it-IT",
          "nl-NL"
        ]
      ],
      "input": [
        [
          "inputLocale",
          "company",
          "title",
          "description"
        ]
      ],
      "output": [
        [
          "benefits",
          "lot",
          "cip",
          "contract",
          "experience",
          "employment",
          "internship",
          "remote",
          "salary",
          "skills",
          "titles"
        ]
      ],
      "models": [
        {
          "modelName": "lot",
          "modelVersion": "7.9.0"
        }
      ]
    }
  ]
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
//Example: ModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "model not found: unknown"
}

//Example: ModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "version not found: 0"
}

//Example: GraphModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': model not found: unknown"
}

//Example: GraphModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': version not found: 0"
}

//Example: SetNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: unknown"
}

//Example: SetVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: postings, version: 0"
}

//Example:NoRoute
{
  "title": "Not Found",
  "status": 404,
  "detail": "no matched route found"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}

GET /sets/{set}/versions/{setVersion}

Path Parameters

NameTypeDescription
setstringPredefined model set name.
setVersionstringPredefined model set version.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/sets/set/versions/setVersion \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": {
    "name": "posting",
    "version": "2026.7",
    "locales": [
      [
        "en-US",
        "en-CA",
        "es-ES",
        "fr-FR",
        "de-DE",
        "pt-PT",
        "it-IT",
        "nl-NL"
      ]
    ],
    "input": [
      [
        "inputLocale",
        "company",
        "title",
        "description"
      ]
    ],
    "output": [
      [
        "benefits",
        "lot",
        "cip",
        "contract",
        "experience",
        "employment",
        "internship",
        "remote",
        "salary",
        "skills",
        "titles"
      ]
    ],
    "models": [
      {
        "modelName": "lot",
        "modelVersion": "7.9.0"
      }
    ]
  }
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
//Example: ModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "model not found: unknown"
}

//Example: ModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "version not found: 0"
}

//Example: GraphModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': model not found: unknown"
}

//Example: GraphModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': version not found: 0"
}

//Example: SetNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: unknown"
}

//Example: SetVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: postings, version: 0"
}

//Example: NoRoute
{
  "title": "Not Found",
  "status": 404,
  "detail": "no matched route found"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}